package org.gregoire.portknock.server;

import junit.framework.*;
import java.net.*;

public class TestServer extends TestCase {

    Server s = new NIOServerImpl("test");

    public TestServer(String name) {
        super(name);
    }

    protected void setUp() throws Exception {
        super.setUp();
    }

    protected void tearDown() throws Exception {
        super.tearDown();
    }

    public void testGetInetAddress() throws UnknownHostException {
        s = new NIOServerImpl("none");
        String hostName = "localhost";
        InetAddress expectedReturn = InetAddress.getByName("venomx");
        InetAddress actualReturn = s.getInetAddress(hostName);

        assertEquals("return value", expectedReturn, actualReturn);

        s.getInetAddress("192.168.0.1");
        s.getInetAddress("www.gregoire.org");

        /**@todo fill in the test code*/
    }

    public void testGetType() {
        String expectedReturn = "test";
        String actualReturn = s.getType();
        assertEquals("return value", expectedReturn, actualReturn);
    }

    public void testListen() {
        s.listen();
        /**@todo fill in the test code*/
    }

    public void testSetHost() {
        String host = "localhost";
        s.setHost(host);
        /**@todo fill in the test code*/
    }

    public void testSetPorts() {
        int[] ports = new int[]{1022, 1122, 1222};
        s.setPorts(ports);
        /**@todo fill in the test code*/
    }

    public void testSetSocketTimeout() {
        int timeout = 60000;
        s.setSocketTimeout(timeout);
        /**@todo fill in the test code*/
    }

}
